//+------------------------------------------------------------------+
//|                                                    TradeInfo.mq4 |
//|                                                            Vykuk |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Vykuk"
#property link      "http://www.metaquotes.net"

extern double Loty = 0.01;

#property indicator_chart_window
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
      if( ObjectFind( "label_spread" ) == 0 )
         ObjectDelete( "label_spread" );
      if( ObjectFind( "label_params" ) == 0 )
         ObjectDelete( "label_params" );
      if( ObjectFind( "label_tickvalue" ) == 0 )
         ObjectDelete( "label_tickvalue" );
      if( ObjectFind( "label_swap" ) == 0 )
         ObjectDelete( "label_swap" );
      if( ObjectFind( "label_exp" ) == 0 )
         ObjectDelete( "label_exp" );
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
//----
   if( ObjectFind("label_spread") != 0 )
      ObjectCreate( "label_spread", OBJ_LABEL, 0, 0, 0 );
   ObjectSetText( "label_spread", "Spread: " + DoubleToStr( MarketInfo( Symbol(), MODE_SPREAD ), 0 ), 8, "Arial", Gray );
   ObjectSet( "label_spread", OBJPROP_CORNER, 0 );
   ObjectSet( "label_spread", OBJPROP_XDISTANCE, 5 );
   ObjectSet( "label_spread", OBJPROP_YDISTANCE, 15 );
   
   if( ObjectFind("label_params") != 0 )
      ObjectCreate( "label_params", OBJ_LABEL, 0, 0, 0 );
   ObjectSetText( "label_params", "Parametry obchodu pro " + DoubleToStr( Loty, 2 ) + " lot(u):", 8, "Arial", Gray );
   ObjectSet( "label_params", OBJPROP_CORNER, 0 );
   ObjectSet( "label_params", OBJPROP_XDISTANCE, 5 );
   ObjectSet( "label_params", OBJPROP_YDISTANCE, 30 );  
      
   if( ObjectFind("label_tickvalue") != 0 )
      ObjectCreate( "label_tickvalue", OBJ_LABEL, 0, 0, 0 );
   ObjectSetText( "label_tickvalue", "Tick Value: " + DoubleToStr( MarketInfo( Symbol(), MODE_TICKVALUE ) * Loty, 2 ) + " USD; Margin: " + DoubleToStr( MarketInfo( Symbol(), MODE_MARGINREQUIRED) * Loty, 2 ) + " USD", 8, "Arial", Gray );
   ObjectSet( "label_tickvalue", OBJPROP_CORNER, 0 );
   ObjectSet( "label_tickvalue", OBJPROP_XDISTANCE, 5 );
   ObjectSet( "label_tickvalue", OBJPROP_YDISTANCE, 45 );

   double SwapLong = MarketInfo( Symbol(), MODE_SWAPLONG ) * MarketInfo( Symbol(), MODE_TICKVALUE );
   double SwapShort = MarketInfo( Symbol(), MODE_SWAPSHORT ) * MarketInfo( Symbol(), MODE_TICKVALUE );
   if( ObjectFind("label_swap") != 0 )
      ObjectCreate( "label_swap", OBJ_LABEL, 0, 0, 0 );
   ObjectSetText( "label_swap", "Swap long: " + DoubleToStr( SwapLong * Loty, 3 ) + " USD, short: " + DoubleToStr( SwapShort * Loty, 3 ) + " USD", 8, "Arial", Gray );
   ObjectSet( "label_swap", OBJPROP_CORNER, 0 );
   ObjectSet( "label_swap", OBJPROP_XDISTANCE, 5 );
   ObjectSet( "label_swap", OBJPROP_YDISTANCE, 60 );

   if( MarketInfo( Symbol(), MODE_EXPIRATION ) > 0 )
   {
      if( ObjectFind("label_exp") != 0 )
         ObjectCreate( "label_exp", OBJ_LABEL, 0, 0, 0 );
      ObjectSetText( "label_exp", "Expiration: " + TimeToStr( MarketInfo( Symbol(), MODE_EXPIRATION ), TIME_DATE ), 8, "Arial", Gray );
      ObjectSet( "label_exp", OBJPROP_CORNER, 0 );
      ObjectSet( "label_exp", OBJPROP_XDISTANCE, 5 );
      ObjectSet( "label_exp", OBJPROP_YDISTANCE, 75 );
   }
//----
   return(0);
  }
//+------------------------------------------------------------------+